import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToSewooLKPSensorType Converter")

class GenericToSewooLKPSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "3"
        elif args[0] == "Gap":
            res = "0"
        elif args[0] == "Mark":
            res = "1"
        return res




plugin = GenericToSewooLKPSensorType("GenericToSewooLKPSensorType")

store.AddConverter(plugin)